# Uses of Interface
org.springframework.jdbc.core.ParameterMapper

Packages that use ParameterMapper
Package
Description
org.springframework.jdbc.core
Provides the core JDBC framework, based on JdbcTemplate and its associated callback interfaces and helper objects.
org.springframework.jdbc.object
The classes in this package represent RDBMS queries, updates, and stored procedures as threadsafe, reusable objects.

## Uses of ParameterMapper in org.springframework.jdbc.core

Methods in org.springframework.jdbc.core with parameters of type ParameterMapper
Modifier and Type
Method
Description
`CallableStatementCreator`
CallableStatementCreatorFactory.`newCallableStatementCreator(ParameterMapper inParamMapper)`
Return a new CallableStatementCreator instance given this parameter mapper.

## Uses of ParameterMapper in org.springframework.jdbc.object

Methods in org.springframework.jdbc.object with parameters of type ParameterMapper
Modifier and Type
Method
Description
`Map<String,Object>`
StoredProcedure.`execute(ParameterMapper inParamMapper)`
Execute the stored procedure.
`protected CallableStatementCreator`
SqlCall.`newCallableStatementCreator(ParameterMapper inParamMapper)`
Return a CallableStatementCreator to perform an operation with the parameters returned from this ParameterMapper.